Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1053884 - Guest fails to migrate while paused [NEEDINFO]
Summary: Guest fails to migrate while paused
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.5.0
Assignee: Arik
QA Contact: Artyom
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-01-15 22:14 UTC by wdaniel
Modified: 2018-12-09 17:29 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, a user-paused virtual machine was unable to be migrated. Now, this issue has been fixed and user-paused virtual machines can migrate.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:57:26 UTC
oVirt Team: ---
Target Upstream Version:
ylavi: needinfo? (dsulliva)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 24639 None None None Never
oVirt gerrit 24640 None None None Never
oVirt gerrit 25441 None None None Never
oVirt gerrit 27176 ovirt-engine-3.4 MERGED core: block migration for paused vm only in case of an error Never
oVirt gerrit 27812 master MERGED core: block migration for paused VM due to EIO only Never

Comment 1 Michal Skrivanek 2014-01-16 08:32:10 UTC
importnat to note is the VM is paused due to EIO, which should indeed be blocked.
However that NPE is not nice…
Also the current code check for paused state (introduced in 9e7a6163034152ecf9a846c151c7dc95cfcb0e62 by rgolan) is not correct as the user-paused VMs should be able to migrate, only when the reason is EIO we should block

Comment 3 Artyom 2014-03-18 17:04:48 UTC
Verified on is35, checked that nullPointerException not appear under engine.log

Comment 12 Artyom 2014-05-12 16:33:20 UTC
Checked on av9
Scenarion: Run Once vm with "Start in pause mode" enabled, wait until vm state is paused, and migrate it, first migration works fine, but if you migrate it second time it failed, because that:
<status>
<state>paused</state>
<detail>none</detail>
</status>
detail none, so from you patch it will no migrate again, so you or need to save reason why vm paused or change if statement and add possibility to migrate paused vm when <detail>none</detail>

Comment 13 Michal Skrivanek 2014-05-15 08:20:22 UTC
well the code change is still not entirely correct. The only reason when we should not migrate is EIO, all other reasons including other errors, like ENOSPACE are ok

Though we shouldn't "lose" the reason after migration anyway

Comment 17 Artyom 2014-07-14 06:11:16 UTC
Verified on rhevm-3.5.0-0.4.master.el6_5.noarch
Migrate paused vm three times from host to host

Comment 18 Yaniv Lavi 2015-01-19 17:26:43 UTC
Description of original problem:

Customer has stated that when he tries to migrate a VM that is paused, it fails and he notices a NullPointerException in the logs

Comment 21 errata-xmlrpc 2015-02-11 17:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.